Name: libnasl
Version: 1.2.6
Release: alt2
License: GPL
Url: http://www.nessus.org
Group: Security/Networking
Summary:NASL is a scripting language designed for the Nessus security scanner. 

Source:%name-%version.tar.gz

# Automatically added by buildreq on Thu Jul 25 2002
BuildRequires: libnessus-devel = %version libpcap-devel openssl-devel tetex-latex tetex-dvips

%package devel
Group: Development/Other
Summary: Header files for NASL.
Requires: libnasl = %version

%description
NASL is a scripting language designed for the Nessus security scanner. 
Its aim is to allow anyone to write a test for a given security hole 
in a few minutes, to allow people to share their tests without having 
to worry about their operating system, and to garantee everyone that 
a NASL script can not do anything nasty except performing a 
given security test against a given target.

%description devel
Header files needed for developing with NASL 


%prep
%setup -q -n %{name}

%build
./configure 	--prefix=%{_prefix} \
 		--mandir=%{_datadir}/man \
		--sysconfdir=%{_sysconfdir}
make

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
echo -e "15,25s:^prefix=/usr:prefix=${RPM_BUILD_ROOT}/usr:\n\
25,35s:^mandir=/usr:mandir=${RPM_BUILD_ROOT}/usr:\n\
w\nq\n" | ed nasl.tmpl ||:
make install 
make -C doc
install doc/nasl_guide.ps $RPM_BUILD_ROOT%_docdir/%name-%version

%files
%_bindir/*
%_libdir/*.so.*
%_man1dir/*
%_docdir/%name-%version

%files devel
%_includedir/nessus/*
%_libdir/*.so

%changelog
* Wed Jan 29 2003 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt2
- moved *.so to devel package

* Mon Oct 14 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt1
- Build for new version
- Fixed group of package
- Fixed build requires

* Fri Oct 11 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.5-alt1
- Build for new version

* Thu Jul 25 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Build for new version
- Fixed requires section for devel package : added version

* Thu Jun 20 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Initial release

